#       Licensed to the Apache Software Foundation (ASF) under one
#       or more contributor license agreements.  See the NOTICE file
#       distributed with this work for additional information
#       regarding copyright ownership.  The ASF licenses this file
#       to you under the Apache License, Version 2.0 (the
#       "License"); you may not use this file except in compliance
#       with the License.  You may obtain a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
#       Unless required by applicable law or agreed to in writing,
#       software distributed under the License is distributed on an
#       "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
#       KIND, either express or implied.  See the License for the
#       specific language governing permissions and limitations
#       under the License.

'''Merge all the OldProjectRole collections in various project databases into a
central ProjectRole collection.
'''
import logging

from pylons import tmpl_context as c

from ming.orm import session, state
from allura import model as M

log = logging.getLogger(__name__)

seen_databases = set()
projects = M.Project.query.find().all()

for p in projects:
    if p.database_uri in seen_databases:
        continue
    seen_databases.add(p.database_uri)
    log.info('Moving project roles in database %s to main DB',
             p.database_uri)
    c.project = p
    for opr in M.OldProjectRole.query.find():
        pr = M.ProjectRole(**state(opr).document)
    session(opr).clear()
    session(pr).flush()
    session(pr).clear()
